package main

import (
	"log"

	"spekulaas/authentes/api"
	"spekulaas/authentes/database"

	"github.com/joho/godotenv"
)

func main() {
	// check if env file is available
	err := godotenv.Load(); if err != nil {
		log.Fatal("Error loading .env file")
	}

	// initialize needed functions
	db := database.Init()
	api.Init(db)

}
